# Method: fhir.ConceptMap-translate

**Full name**: projects.locations.datasets.fhirStores.fhir.ConceptMap-translate

Translates a code from one value set to another using a concept map. You can provide your own concept maps to translate any code system to another code system.

Implements the FHIR standard $translate operation ([DSTU2](https://www.hl7.org/fhir/DSTU2/operation-conceptmap-translate.html), [STU3](https://www.hl7.org/fhir/STU3/operation-conceptmap-translate.html), [R4](https://www.hl7.org/fhir/R4/operation-conceptmap-translate.html)), [R5](https://www.hl7.org/fhir/R5/operation-conceptmap-translate.html)).

On success, the response body contains a JSON-encoded representation of a FHIR Parameters resource, which includes the translation result. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead.

### HTTP request

`GET https://healthcare.googleapis.com/v1beta1/{name=projects/*/locations/*/datasets/*/fhirStores/*/fhir/ConceptMap/*}/$translate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The URL for the concept map to use for the translation. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.fhirResources.translateConceptMap` |

### Query parameters

| Parameters ||
|---|---|
| `code` | `string` Required. The code to translate. |
| `system` | `string` Required. The system for the code to be translated. |
| `conceptMapVersion` | `string` The version of the concept map to use. If unset, the most current version is used. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).